AntiFeatures:
    NonFreeNet:
        en-US: App depends on Reddit.
Categories:
  - Internet
License: GPL-3.0-only
WebSite: https://github.com/zagaberoo/diode/wiki
SourceCode: https://github.com/zagaberoo/diode
IssueTracker: https://github.com/zagaberoo/diode/issues

AutoName: Diode
Description: |-
    Diode provides quick and easy access to Reddit on your device complete with
    login, commenting and submissions. Discuss Diode with other users at the
    official <a href="https://pay.reddit.com/r/diode.compact">subreddit</a>.

RepoType: git
Repo: https://github.com/zagaberoo/diode.git

Builds:
  - versionName: 1.0.4
    versionCode: 5
    commit: 770905d77eac8bb960502769b591c492c70d6b86
    target: android-15

  - versionName: 1.0.4.1
    versionCode: 6
    commit: 85d946af7a9a
    target: android-15

  - versionName: 1.0.5
    versionCode: 7
    commit: d1.0.5
    target: android-15

  - versionName: 1.0.6
    versionCode: 8
    commit: d1.0.6
    target: android-15

  - versionName: 1.0.7
    versionCode: 9
    commit: d1.0.7
    target: android-15

  - versionName: 1.0.9
    versionCode: 11
    commit: d1.0.9
    target: android-15

  - versionName: 1.1.0
    versionCode: 12
    commit: d1.1.0
    target: android-15

  - versionName: 1.1.1
    versionCode: 13
    commit: d1.1.1

  - versionName: 1.1.2
    versionCode: 14
    commit: d1.1.2

  - versionName: 1.1.3
    versionCode: 15
    commit: d1.1.3

  - versionName: 1.1.4
    versionCode: 16
    commit: d1.1.4

  - versionName: 1.2.0
    versionCode: 17
    commit: d1.2.0

  - versionName: 1.2.1
    versionCode: 18
    commit: d1.2.1

  - versionName: 1.2.2
    versionCode: 19
    commit: d1.2.2

  - versionName: 1.2.3
    versionCode: 20
    commit: d1.2.3

  - versionName: 1.3.2.2
    versionCode: 26
    commit: 6ad1dcd9690a00324e0c33fb9fa51259afd12b24
    subdir: app
    gradle:
      - yes
    rm:
      - app/libs-dependencies
      - app/libs
    prebuild:
      - sed -i -e '/google()/a mavenCentral()' ../build.gradle
      - sed -i -e '/compile files/d' -e "/dependencies {/a implementation 'org.codehaus.jackson:jackson-core-asl:1.8.5'"
        -e "/dependencies {/a implementation 'org.codehaus.jackson:jackson-mapper-asl:1.8.5'"
        -e "/dependencies {/a implementation 'dk.brics:automaton:1.12-1'" build.gradle
      - sed -i -e '/libs-dependencies/d' proguard.cfg

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.3.2.2
CurrentVersionCode: 26
